'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (file) {
    var source = _fs2.default.readFileSync(file).toString();

    _protagonist2.default.parse(source, { type: 'ast' }, function (error, result) {
        if (error) {
            console.error(error);
        }

        if (result.warnings.length) {
            result.warnings.forEach(function (warning) {
                console.log(_colors2.default.red('WARN:') + ' ' + warning.message);
            });

            _process2.default.exit(1);
        }
    });
};

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _process = require('process');

var _process2 = _interopRequireDefault(_process);

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

var _protagonist = require('protagonist');

var _protagonist2 = _interopRequireDefault(_protagonist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }